/*
** File: timer.c  
** Project: Linux Driver Framework
** Purpose: Timer functions
**
** (C) Copyright Alpha Data 2010
*/

#include "df.h"
#include "dflinux.h"

void
_dfLinuxTimerStub(
#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 15, 0))
  struct timer_list* pTimer)
{
  DfTimer* pDfTimer = (DfTimer*)pTimer;
#else
  unsigned long context)
{
  DfTimer* pDfTimer = (DfTimer*)context;
#endif

  pDfTimer->system.pCallback(pDfTimer, pDfTimer->system.pTimerContext, pDfTimer->system.pCallbackContext);
}
